/*
  Copyright (C) JAEHYUK CHO
  All rights reserved.
  Code by JaeHyuk Cho <mailto:minzkn@minzkn.com>
*/

#include <sys/types.h>
#include <sys/time.h>
#include <sys/stat.h>
#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <string.h>
#include <unistd.h>
#include <fcntl.h>

#include "mztree.h"

int main(int s_argc, char **s_argv);

int main(int s_argc, char **s_argv)
{
    mztree_t *s_tree;

    /* mztree_t *mztree_new(void); */
    s_tree = mztree_new();
    if(s_tree != ((mztree_t *)0)) {

        /* mztree_node_t *mztree_create(mztree_t *s_fs, const char *s_pathname, mode_t s_mode); */
        (void)mztree_create(s_tree, "/usr/bin", S_IFDIR | 0755);
        (void)mztree_create(s_tree, "/usr/lib", S_IFDIR | 0755);
        (void)mztree_create(s_tree, "/usr/share", S_IFDIR | 0755);
        (void)mztree_create(s_tree, "/usr/local", S_IFDIR | 0755);
        (void)mztree_create(s_tree, "/etc/xinetd", S_IFDIR | 0755);
        (void)mztree_create(s_tree, "/etc/conf.d", S_IFDIR | 0755);
        (void)mztree_create(s_tree, "/var/run", S_IFDIR | 0755);
        
	(void)mztree_create(s_tree, "/etc/xinetd.conf", 0644);

        /* mztree_node_t *mztree_search(mztree_t *s_fs, const char *s_pathname); */
        /* mztree_node_t *mztree_remove(mztree_t *s_fs, const char *s_pathname); */
        /* mztree_node_t *mztree_rename(mztree_t *s_fs, const char *s_oldpathname, const char *s_newpathname); */
        /* ssize_t mztree_read(mztree_node_t *s_node, void *s_data, size_t s_size, off_t s_offset); */
        /* ssize_t mztree_write(mztree_node_t *s_node, const void *s_data, size_t s_size, off_t s_offset); */
        
	/* int mztree_view(mztree_t *s_fs, const char *s_pathname, int s_with_next); */
        (void)mztree_view(s_tree, "/", 1);

        /* extern mztree_t *mztree_delete(mztree_t *s_fs); */
        s_tree = mztree_delete(s_tree);
    }

    return(EXIT_SUCCESS);
}

/* End of source */
